PROBE::SIGNAL.SEND(3stap)

NAME
probe::signal.send.return - Signal being sent to a process completed (deprecated in SystemTap 2.1)

SYNOPSIS

signal.send.return

VALUES

name
    The name of the function used to send out the signal

send2queue
    Indicates whether the sent signal was sent to an existing sigqueue

shared
    Indicates whether the sent signal is shared by the thread group.

retstr
    The return value to either __group_send_sig_info, specific_send_sig_info, send_sigqueue, or posixtimer_send_sigqueue

CONTEXT

The signal's sender. (correct?)

DESCRIPTION

Possible __group_send_sig_info and specific_send_sig_info return values are as follows;

0 -- The signal is successfully sent to a process, which means that, (1) the signal was ignored by the receiving process, (2) this is a non-RT signal and the system already has one queued, and (3) the signal was successfully added to the sigqueue of the receiving process.

-EAGAIN -- The sigqueue of the receiving process is overflowing, the signal was RT, and the signal was sent by a user using something other than kill.

Possible send_group_sigqueue, send_sigqueue, and posixtimer_send_sigqueue return values are as follows;

0 -- The signal was either successfully added into the sigqueue of the receiving process, or a SI_TIMER entry is already queued (in which case, the overrun count will be simply incremented).

1 -- The signal was ignored by the receiving process.

-1 -- (send_sigqueue / posixtimer_send_sigqueue only) The task was marked exiting, allowing * posix_timer_event to redirect it to the group leader.

SEE ALSO
tapset::signal(3stap)